Index: fedd/abac-src/atnvis/geni/ucla/UCLA.prop
===================================================================
--- fedd/abac-src/atnvis/geni/ucla/UCLA.prop	(revision 728001e2221b78f3f0a0a56f19bac83d82049f42)
+++ fedd/abac-src/atnvis/geni/ucla/UCLA.prop	(revision 728001e2221b78f3f0a0a56f19bac83d82049f42)
@@ -0,0 +1,244 @@
+subject = UCLA
+
+update.1.location = local
+
+update.1.1.type = node
+update.1.1.name = UCLA: GENI.CTFaccess <<-?- Alice
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = UCLA: GENI.CTFaccess <<-?- Alice
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = UCLA: GENI.CTFaccess <<-?- Alice
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = UCLA: GENI.CTFaccess <<-?- Alice
+update.1.4.childName = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.1.4.childType = LinkedRoleTarget
+update.1.4.childProcessing = opponent
+update.1.4.evidence.1 = GENI.CTFaccess<-ACM.CTFrep.CTFcontestant
+
+update.1.5.type = node
+update.1.5.nodeType = LinkedRoleTarget
+update.1.5.name = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = UCLA: GENI.CTFaccess <<-?- Alice
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = UCLA: GENI.CTFaccess <<-?- Alice
+update.1.7.processing = verifier
+
+update.1.8.type = edge
+update.1.8.edgeType = Implication
+update.1.8.parentName = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.1.8.childName = UCLA: UCLA.ACMofficer.CTFcontestant <<-?- Alice
+update.1.8.childType = LinkedRoleTarget
+update.1.8.childProcessing = opponent
+
+update.1.9.type = node
+update.1.9.nodeType = LinkedRoleTarget
+update.1.9.name = UCLA: UCLA.ACMofficer.CTFcontestant <<-?- Alice
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = node
+update.1.10.nodeType = LinkedRoleTarget
+update.1.10.name = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.1.10.processing = opponent
+update.1.10.satisfied = Unknown
+
+update.1.11.type = edge
+update.1.11.edgeType = Implication
+update.1.11.parentName = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.1.11.childName = UCLA: MIT.student <<-?- Alice
+update.1.11.childType = RoleTarget
+update.1.11.childProcessing = verifier
+
+update.1.12.type = node
+update.1.12.nodeType = RoleTarget
+update.1.12.name = UCLA: MIT.student <<-?- Alice
+update.1.12.processing = verifier
+update.1.12.satisfied = Unknown
+
+update.1.13.type = node
+update.1.13.nodeType = LinkedRoleTarget
+update.1.13.name = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.1.13.processing = opponent
+update.1.13.satisfied = Unknown
+
+update.1.14.type = node
+update.1.14.name = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.1.14.processing = verifier
+
+update.1.15.type = edge
+update.1.15.edgeType = LinkingMonitor
+update.1.15.parentName = UCLA: UCLA.ACMofficer.CTFcontestant <<-?- Alice
+update.1.15.childName = UCLA: ?X.CTFcontestant <<-?- Alice
+update.1.15.childType = LinkingGoal
+update.1.15.childProcessing = verifier
+
+update.1.16.type = node
+update.1.16.nodeType = LinkingGoal
+update.1.16.name = UCLA: ?X.CTFcontestant <<-?- Alice
+update.1.16.processing = verifier
+update.1.16.satisfied = Incomplete
+
+update.2.location = remote
+
+update.2.1.type = node
+update.2.1.name = UCLA: MIT.student <<-?- Alice
+update.2.1.processing = opponent
+
+update.2.2.type = node
+update.2.2.nodeType = RoleTarget
+update.2.2.name = UCLA: MIT.student <<-?- Alice
+update.2.2.processing = fully
+update.2.2.satisfied = Failed
+
+update.2.3.type = edge
+update.2.3.edgeType = LinkingSolution
+update.2.3.parentName = UCLA: ?X.CTFcontestant <<-?- Alice
+update.2.3.childName = UCLA: USC.CTFcontestant <<-?- Alice
+update.2.3.childType = RoleTarget
+update.2.3.childProcessing = verifier
+
+update.2.4.type = node
+update.2.4.nodeType = RoleTarget
+update.2.4.name = UCLA: USC.CTFcontestant <<-?- Alice
+update.2.4.processing = verifier
+update.2.4.satisfied = Unknown
+
+update.2.5.type = node
+update.2.5.name = UCLA: ?X.CTFcontestant <<-?- Alice
+update.2.5.processing = opponent
+
+update.2.6.type = node
+update.2.6.nodeType = LinkingGoal
+update.2.6.name = UCLA: ?X.CTFcontestant <<-?- Alice
+update.2.6.processing = fully
+update.2.6.satisfied = Incomplete
+
+update.2.7.type = edge
+update.2.7.edgeType = Implication
+update.2.7.parentName = UCLA: USC.CTFcontestant <<-?- Alice
+update.2.7.childName = UCLA: Alice <<-?- Alice
+update.2.7.childType = TrivialTarget
+update.2.7.childProcessing = fully
+update.2.7.evidence.1 = USC.CTFcontestant<-Alice
+
+update.2.8.type = node
+update.2.8.nodeType = TrivialTarget
+update.2.8.name = UCLA: Alice <<-?- Alice
+update.2.8.processing = fully
+update.2.8.satisfied = Satisfied
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = UCLA: USC.CTFcontestant <<-?- Alice
+update.2.9.processing = verifier
+update.2.9.satisfied = Unknown
+
+update.2.10.type = node
+update.2.10.nodeType = RoleTarget
+update.2.10.name = UCLA: USC.CTFcontestant <<-?- Alice
+update.2.10.processing = verifier
+update.2.10.satisfied = Satisfied
+
+update.2.11.type = node
+update.2.11.nodeType = LinkingGoal
+update.2.11.name = UCLA: ?X.CTFcontestant <<-?- Alice
+update.2.11.processing = fully
+update.2.11.satisfied = Complete
+
+update.2.12.type = node
+update.2.12.name = UCLA: UCLA.ACMofficer.CTFcontestant <<-?- Alice
+update.2.12.processing = verifier
+
+update.2.13.type = node
+update.2.13.name = UCLA: USC.CTFcontestant <<-?- Alice
+update.2.13.processing = opponent
+
+update.3.location = local
+
+update.3.1.type = edge
+update.3.1.edgeType = LinkingImplication
+update.3.1.parentName = UCLA: UCLA.ACMofficer.CTFcontestant <<-?- Alice
+update.3.1.childName = UCLA: UCLA.ACMofficer <<-?- USC
+update.3.1.childType = RoleTarget
+update.3.1.childProcessing = opponent
+
+update.3.2.type = node
+update.3.2.nodeType = RoleTarget
+update.3.2.name = UCLA: UCLA.ACMofficer <<-?- USC
+update.3.2.processing = opponent
+update.3.2.satisfied = Unknown
+
+update.3.3.type = node
+update.3.3.nodeType = LinkedRoleTarget
+update.3.3.name = UCLA: UCLA.ACMofficer.CTFcontestant <<-?- Alice
+update.3.3.processing = fully
+update.3.3.satisfied = Unknown
+
+update.3.4.type = edge
+update.3.4.edgeType = Implication
+update.3.4.parentName = UCLA: UCLA.ACMofficer <<-?- USC
+update.3.4.childName = UCLA: Mike <<-?- USC
+update.3.4.childType = TrivialTarget
+update.3.4.childProcessing = fully
+update.3.4.evidence.1 = UCLA.ACMofficer<-Mike
+
+update.3.5.type = node
+update.3.5.nodeType = TrivialTarget
+update.3.5.name = UCLA: Mike <<-?- USC
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.nodeType = RoleTarget
+update.3.6.name = UCLA: UCLA.ACMofficer <<-?- USC
+update.3.6.processing = opponent
+update.3.6.satisfied = Unknown
+
+update.3.7.type = node
+update.3.7.nodeType = RoleTarget
+update.3.7.name = UCLA: UCLA.ACMofficer <<-?- USC
+update.3.7.processing = opponent
+update.3.7.satisfied = Satisfied
+
+update.3.8.type = node
+update.3.8.nodeType = LinkedRoleTarget
+update.3.8.name = UCLA: UCLA.ACMofficer.CTFcontestant <<-?- Alice
+update.3.8.processing = fully
+update.3.8.satisfied = Satisfied
+
+update.3.9.type = node
+update.3.9.nodeType = LinkedRoleTarget
+update.3.9.name = UCLA: ACM.CTFrep.CTFcontestant <<-?- Alice
+update.3.9.processing = fully
+update.3.9.satisfied = Satisfied
+
+update.3.10.type = node
+update.3.10.nodeType = RoleTarget
+update.3.10.name = UCLA: GENI.CTFaccess <<-?- Alice
+update.3.10.processing = fully
+update.3.10.satisfied = Satisfied
+
+update.3.11.type = node
+update.3.11.name = UCLA: UCLA.ACMofficer <<-?- USC
+update.3.11.processing = verifier
+
